Bug 178703 - Unexpected input stream timeout
Unexpected input stream timeout
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Tromey
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 11:50 EST by Andrew Overholt
Modified: 2014-08-11 01:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-06 15:01:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test case (ripped out of eclipse{,-bugzilla}) (18.90 KB, text/plain)
2006-01-23 11:50 EST, Andrew Overholt
no flags Details

  None (edit)
Description Andrew Overholt 2006-01-23 11:50:05 EST
Description of problem:
eclipse-bugzilla grabs the bugzilla components from the query page.  This fails
with gcc 4.1 where it does not fail with 4.0.x.  We isolated the parts that do
this (hackily and not very precisely, might I add ;) and I will attach that test
case.

Version-Release number of selected component (if applicable):
gcc-4.1.0-0.16.i386

How reproducible:
Always.

Steps to Reproduce:
1. javac FetchError.java
2. java FetchError
  
Actual results:
java.io.InterruptedIOException: Timeout while reading from input stream
   at FetchError$PollingInputStream.read (FetchError.java:402)
   at java.io.BufferedInputStream.refill (libgcj.so.7)
   at java.io.InputStreamReader.refill (libgcj.so.7)
   at java.io.InputStreamReader.read (libgcj.so.7)
   at java.io.BufferedReader.fill (libgcj.so.7)
   at java.io.BufferedReader.readLine (libgcj.so.7)
   at FetchError.getString (FetchError.java:580)
   at FetchError.main (FetchError.java:634)

Expected results:
No output (like gij 4.0.x and Sun).

Additional info:
(from Tom Tromey's comment in bug 178445):
"[the] test case fails -- it times out
when reading.  However, if I comment out the call to getTimedInputStream
(so that we're reading from the raw un-timed-out underlying input stream),
then it works.  I suspect that there is a timing bug of some kind
in the timed input stream code, but I have not looked into it deeply."
Comment 1 Andrew Overholt 2006-01-23 11:50:06 EST
Created attachment 123577 [details]
Test case (ripped out of eclipse{,-bugzilla})
Comment 2 Tom Tromey 2006-01-25 19:34:38 EST
I've checked in a fix for this to the 4.1 branch.
It is revision 110241.
Comment 3 Andrew Overholt 2006-02-06 15:01:03 EST
I have verified this fix is in our rawhide gcc.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.